Skip to end of metadata
Go to start of metadata

If using GlobalCapture 2.1.0 or later, you may encounter an issue where the MongoDB service periodically stops. This can cause issues with GlobalCapture processing, GlobalAction processing, or viewing batches in the Batch Manager. The most common causes of this issue are read/write failures on the hard drive or power outage.

If you review recent MongoDB log files (found in "C:\GetSmart\mongodb\logs" by default), you may see errors similar to the error listed below.

Error

[thread2] Fatal Assertion 28558 at src\mongo\db\storage\wiredtiger\wiredtiger_util.cpp 361
[thread2]
***aborting after fassert() failure
[WTJournalFlusher] Fatal Assertion 28559 at src\mongo\db\storage\wiredtiger\wiredtiger_util.cpp 64
[WTJournalFlusher]
***aborting after fassert() failure

Resolution

Warning

Failure to follow these instructions exactly may result in a corrupt MongoDB and loss of data. Read all directions fully and back up your Mongo database before proceeding. These steps should be performed by an IT technician or someone intimately familiar with your server environment.

This issue can be resolved by deleting the WiredTiger journal files. To do this, take the following steps.

  1. On your GlobalCapture server, stop the MongoDB service and all dependent services. These include S9GlobalAction, GlobalCapture_1, ssBatchPortal, and GlobalForms.
  2. Navigate to your MongoDB data folder. By default, this will be in "C:\GetSmart\mongodb\data".
  3. Locate the two files "mongod.lock" and "WiredTiger.lock". Delete these two files.
  4. Open the "journal" folder . You should see a number of files, including some starting with "WiredTigerLog" or "WiredTigerPreplog". Delete the contents of the journal folder.
  5. Start the MongoDB service. The service should create new lock files and WiredTiger journal files.
  6. Start the services dependent on MongoDB (S9GlobalAction, GlobalCapture_1, ssBatchPortal, and GlobalForms).

 

Note that this only applies to sites using GlobalCapture 2.1.0 or later. If you are using an older version of GlobalCapture or any version of GlobalSearch older than 4.4.0, then these steps do not apply to your site.